Subject: Offline Message from Janie: I have a swagtron ebike 7 and my battery is defec
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 24 Nov 2019 23:26:56 -0000

From: Janie <[email-masked]>
Phone: 
Location: Richfield, United States
URL: https://swagtron.com/
Department: SwagTron

I have a swagtron ebike 7 and my battery is defective, it will unexpectedly shut off when im riding it. I want a new one. I know my battery is defective because i put my battery in my sisters brand new ebike 7 and it shut off the same, while she was riding it.

----
Zopim
https://www.zopim.com